question

FranckSartori-3999 avatar image
0 Votes"
FranckSartori-3999 asked LuDaiMSFT-0289 commented

Can't read the "Notes" field of an enrolled device in Intune

Hi.
I'm trying to read the "Notes" field of of an enrolled device in Intune. There is some text entered in the graphical interface.
But reading the record with a curl (the API call is made from an enrolled Mac), the output for "Notes" is always : "notes":null
I tried to read the documentation but I found nothing specific about notes, as other fields look like ok.
That is stopping me in 2 development projects.
Best regards.
Franck

This is the full output (test device) :

{"@odata.context":"https://graph.microsoft.com/v1.0/$metadata#deviceManagement/managedDevices/$entity","id":"c05767f9-74c6-4c6c-a69c-fc22aa344670","userId":"fc46c8fa-a00e-4345-b4a5-571b43bc32c5","deviceName":"Franck\u2019s iMac","managedDeviceOwnerType":"company","enrolledDateTime":"2021-08-18T17:48:46.3120415Z","lastSyncDateTime":"2021-08-18T17:50:06.4411055Z","operatingSystem":"macOS","complianceState":"compliant","jailBroken":"Unknown","managementAgent":"mdm","osVersion":"10.15.5 (19F101)","easActivated":true,"easDeviceId":null,"easActivationDateTime":"2021-08-18T17:49:01.087594Z","azureADRegistered":true,"deviceEnrollmentType":"userEnrollment","activationLockBypassCode":null,"emailAddress":null,"azureADDeviceId":"ff661ada-638a-40d1-b627-27b75efcc7d8","deviceRegistrationState":"registered","deviceCategoryDisplayName":"","isSupervised":false,"exchangeLastSuccessfulSyncDateTime":"0001-01-01T00:00:00Z","exchangeAccessState":"none","exchangeAccessStateReason":"none","remoteAssistanceSessionUrl":"","remoteAssistanceSessionErrorDetails":"","isEncrypted":false,"userPrincipalName":"asm.teacher01@agnosys.eu","model":"iMac","manufacturer":"Apple","imei":null,"complianceGracePeriodExpirationDateTime":"2021-08-18T17:48:50.3233Z","serialNumber":"C02GD7ADDHJN","phoneNumber":null,"androidSecurityPatchLevel":null,"userDisplayName":"ASM Teacher01","configurationManagerClientEnabledFeatures":null,"wiFiMacAddress":null,"deviceHealthAttestationState":null,"subscriberCarrier":"","meid":null,"totalStorageSpaceInBytes":48318382080,"freeStorageSpaceInBytes":27917287424,"managedDeviceName":"asm.teacher01_MacOS_8/18/2021_5:48 PM","partnerReportedThreatState":"unknown","iccid":"","udid":"","notes":null,"ethernetMacAddress":"000c29e789dc","physicalMemoryInBytes":0,"deviceActionResults":[]}

mem-intune-graph
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

LuDaiMSFT-0289 avatar image
0 Votes"
LuDaiMSFT-0289 answered

@FranckSartori-3999 Thanks for posting in our Q&A. From your description, did you mean that it doesn't show the "notes" in the following screen shot via Graph? If there is anything misunderstanding, feel free to let us know.
124681-image.png

For this issue, I have done the test in my lab. The result is the same as yours. It seems a known issue.
124657-image.png

With Q&A limitation, Q&A is not the best channel for such case. It is better to create an online support ticket to feedback and find if there is any method to solve it. Here is the online support link and hope it helpful.
https://docs.microsoft.com/en-us/mem/intune/fundamentals/get-support

Thanks for understanding.


If the response is helpful, please click "Accept Answer" and upvote it.
Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.



image.png (50.9 KiB)
image.png (42.2 KiB)
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

FranckSartori-3999 avatar image
0 Votes"
FranckSartori-3999 answered

Hi. I have opened a support ticket as you recommended. Best regards. Franck

5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

FranckSartori-3999 avatar image
0 Votes"
FranckSartori-3999 answered LuDaiMSFT-0289 commented

Hi.
After a call with Microsoft Support and some tries, this is the solution using curl :

curl -sf https://graph.microsoft.com/Beta/deviceManagement/managedDevices/$DEVICE_ID?select=deviceName,notes \
-H "Authorization: Bearer $AUTHENTICATION" \
-H "content-type: application/json"

Using the Beta API is required.
Best regards.
Franck

· 1
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

@FranckSartori-3999 Thanks for your update. It is very helpful to someone who has the similar confusion. I have tried the solution, it works very well and I find the Notes' content.

Thanks again for your kindness and have a nice day. : )

0 Votes 0 ·